Loading...
Searching...
No Matches
generic_binder2nd< BinaryFunction, A2 >

## Detailed Description

template<class BinaryFunction, class A2>
struct rheolef::details::generic_binder2nd< BinaryFunction, A2 >

Definition at line 98 of file expr_utilities.h.

## Public Member Functions

| generic_binder2nd (const BinaryFunction &f, const A2 &x2)
template<class A1>
auto | operator() (A1 &&x1) const noexcept(noexcept(BinaryFunction()(std::forward< A1 >(x1), A2()))) -> decltype(BinaryFunction()(std::forward< A1 >(x1), A2()))

## Protected Attributes

BinaryFunction | _f
A2 | _x2

## Constructor & Destructor Documentation

## generic_binder2nd()

template<class BinaryFunction, class A2>

generic_binder2nd | ( | const BinaryFunction & | f,
|  | const A2 & | x2 )

Definition at line 99 of file expr_utilities.h.

## Member Function Documentation

## operator()()

template<class BinaryFunction, class A2>
template<class A1>

auto operator() | ( | A1 && | x1 | ) | const->decltype(BinaryFunction()(std::forward< A1 >(x1), A2()))

noexcept

Definition at line 102 of file expr_utilities.h.

## Member Data Documentation

## _f

template<class BinaryFunction, class A2>

BinaryFunction _f

protected

Definition at line 108 of file expr_utilities.h.

## _x2

template<class BinaryFunction, class A2>

A2 _x2

protected

Definition at line 109 of file expr_utilities.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/expr_utilities.h